
Redmine - Patch #32813

Clean up toggleMultiSelect js function

2020-01-15 07:06 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

The attached patch cleans up toggleMultiSelect function(toggle_multiple_select.gif).

0001. Unify the process to toggleMultiSelect written in workflows/permissions, workflows/edit, and query_filter respectively

0002. Fix app/controllers/workflows_controller.rb that should have changed along with #15988

(It works like toggle_role_selectbox.gif due to the problem)

Associated revisions

Revision 19604 - 2020-03-22 06:25 - Go MAEDA

Clean up toggleMultiSelect js function (#32813).

Patch by Mizuki ISHIKAWA.

History

#1 - 2020-01-22 10:59 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2020-02-26 18:11 - Go MAEDA

Mizuki ISHIKAWA wrote:

0002. Fix app/controllers/workflows_controller.rb that should have changed along with #15988

(It works like toggle_role_selectbox.gif due to the problem)

 I think it is another issue. It is not a code cleanup but a bug. I think it should be handled by another new issue. What do you think?

#3 - 2020-02-28 09:46 - Mizuki ISHIKAWA

Go MAEDA wrote:

Mizuki ISHIKAWA wrote:

0002. Fix app/controllers/workflows_controller.rb that should have changed along with #15988

(It works like toggle_role_selectbox.gif due to the problem)

 I think it is another issue. It is not a code cleanup but a bug. I think it should be handled by another new issue. What do you think?

 I created a issue reporting the bug and attached a patch. #33059

#4 - 2020-02-29 06:05 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

Since 0002-Fix-roles.patch has already been committed in r19538, the patch to be committed is only 

0001-Unify-processing-for-switching-multiple-selections.patch.

#5 - 2020-03-22 06:25 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA
https://www.redmine.org/attachments/24613
https://redmine.org/projects/redmine/repository/revisions/19430/entry/trunk/app/views/workflows/edit.html.erb#L63
https://redmine.org/projects/redmine/repository/revisions/19430/entry/trunk/app/views/workflows/permissions.html.erb#L111
https://redmine.org/projects/redmine/repository/revisions/19430/entry/trunk/public/javascripts/application.js#L338
https://redmine.org/projects/redmine/repository/revisions/19430/entry/trunk/app/controllers/workflows_controller.rb#L127
https://www.redmine.org/issues/15988
https://www.redmine.org/attachments/24614
https://redmine.org/projects/redmine/repository/revisions/19430/entry/trunk/app/controllers/workflows_controller.rb#L127
https://www.redmine.org/issues/15988
https://www.redmine.org/attachments/24614
https://redmine.org/projects/redmine/repository/revisions/19430/entry/trunk/app/controllers/workflows_controller.rb#L127
https://www.redmine.org/issues/15988
https://www.redmine.org/attachments/24614
https://www.redmine.org/issues/33059
https://www.redmine.org/attachments/24611
https://www.redmine.org/projects/redmine/repository/svn/revisions/19538
https://www.redmine.org/attachments/24612


Committed the patch. Thank you.

#6 - 2020-03-22 06:26 - Go MAEDA

- Subject changed from Clean up toggleMultiSelect function to Clean up toggleMultiSelect js function

Files

0002-Fix-roles.patch 1.66 KB 2020-01-15 Mizuki ISHIKAWA

0001-Unify-processing-for-switching-multiple-selections.patch 7.09 KB 2020-01-15 Mizuki ISHIKAWA

toggle_multiple_select.gif 88.2 KB 2020-01-15 Mizuki ISHIKAWA

toggle_role_selectbox.gif 491 KB 2020-01-15 Mizuki ISHIKAWA
